++ed by:
EMAZEP SSCAFFIDI KWAKWA SYP KEEDI
12 non-PAUSE users
Author image Father Chrysostomos

NAME

upgrade_db.pl

SYNOPSIS

  upgrade_db.pl -input <oldfile> -output <newfile>

DESCRIPTION

This will attempt to upgrade DB files from one version of DBM::Deep to another. The version of the input file is detected from the file header. The version of the output file defaults to the version of the distro in this file, but can be set, if desired.

OPTIONS

-input (required)

This is the name of original DB file.

-output (required)

This is the name of target output DB file.

-version

Optionally, you can specify the version of DBM::Deep for the output file. This can either be an upgrade or a downgrade. The minimum version supported is 0.91.

If the version is the same as the input file, this acts like a compressed copy of the database.

-autobless

In pre-1.0000 versions, autoblessing was an optional setting defaulting to false. Autobless in upgrade_db.pl defaults to true.

-help

Prints a brief help message, then exits.

-man

Prints a much longer message, then exits;

CAVEATS

The following are known issues with this converter.

  • Diskspace requirements

    This will require about twice the diskspace of the input file.

  • Feature support

    Not all versions support the same features. In particular, internal references were supported in 0.983, removed in 1.000, and re-added in 1.0003. There is no detection of this by upgrade_db.pl.

MAINTAINER(S)

Rob Kinyon, rkinyon@cpan.org

Originally written by Rob Kinyon, rkinyon@cpan.org

LICENSE

Copyright (c) 2007 Rob Kinyon. All Rights Reserved. This is free software, you may use it and distribute it under the same terms as Perl itself.